java.security

## Class SignatureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - java.security.SignatureException

All Implemented Interfaces:
  Serializable

    public class SignatureException
    extends GeneralSecurityException

This is the generic Signature exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SignatureException()` Constructs a SignatureException with no detail message.
`SignatureException(String msg)` Constructs a SignatureException with the specified detail message.
`SignatureException(String message, Throwable cause)` Creates a `SignatureException` with the specified detail message and cause.
`SignatureException(Throwable cause)` Creates a `SignatureException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignatureException

    public SignatureException()

Constructs a SignatureException with no detail message. A detail message is a String that describes this particular exception.

#### SignatureException

    public SignatureException(String msg)

Constructs a SignatureException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

#### SignatureException

    public SignatureException(String message,
                      Throwable cause)

Creates a `SignatureException` with the specified detail message and cause.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  1.5

#### SignatureException

    public SignatureException(Throwable cause)

Creates a `SignatureException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
Since:
  1.5

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.